function [ data ] = odskoky( data )
%% Eliminuje jednobodové odskoky 
%% pro funkci k-means
%   
%vstupní 
%>data< sekvence jednotlivých "hladin" funkce k-means 
%s jednobodovými odskoky
%
%výstupní 
%>data< sekvence bez jednobodových odskoků
%


 konec = size(data,1);
  
  for k = 1: konec
    
   
    if k == 1
        if (data(k,1) ~= data(k+1,1)) && (data(k+1,1) == data(k+2,1))
            data(k,1) = data(k+1,1);
        end
    elseif k == konec
        if (data(k-2,1) == data(k-1,1)) && (data(k-1,1) ~= data(k,1))
            data(k,1) = data(k-1,1);
        end
    else
        if (data(k-1,1) ~= data(k,1)) && (data(k,1) ~= data(k+1,1))
            data(k,1) = data(k-1);
        end
    end
  end;
  
end

